package net.israfil.foundation.lifecycle;

import net.israfil.foundation.core.Copyright;

/**
 * An object that is consumes objects of a given type.
 * 
 * @author <a href="mailto:cgruber@israfil.net">Christian Edward Gruber </a>
 */
@Copyright(years={"2007"},owner="Israfil Consulting Services Corporation",license="BSD")
public interface Consumer<T> {
	 
	/**
	 *  Consumes an item of type T.  
	 *  
	 *  @param item The item to be consumed.
	 */
	public void consume(T item);

}
